The -config option flag needs to be in the SSLEAY_CONFIG value.
[openssl.git] / test / testtsa
index 746aa258d6ab360cc37e62758bf9d97592498899..626a7022bfd9d42279cdde4615e4b6f4e3b64eda 100644 (file)
@@ -10,13 +10,16 @@ export SH PATH
 
 OPENSSL_CONF="../CAtsa.cnf"
 export OPENSSL_CONF
+# Because that's what ../apps/CA.sh really looks at
+SSLEAY_CONFIG="-config $OPENSSL_CONF"
+export SSLEAY_CONFIG
 
-OPENSSL="../util/opensslwrap.sh"
+OPENSSL="`pwd`/../util/opensslwrap.sh"
 export OPENSSL
 
 error () {
 
-    echo "ERROR DURING TSA TESTS!!!!!!!!!!!!!!!!" >&2
+    echo "TSA test failed!" >&2
     exit 1
 }
 
@@ -152,6 +155,7 @@ verify_time_stamp_response_fail () {
        -untrusted tsa_cert1.pem
     # Checks if the verification failed, as it should have.
     test $? == 0 && error
+    echo Ok
 }
 
 # main functions